### Hierarchy

- unknown
  - PaymentAccountForm

## Index

### Constructors

- constructor

### Methods

- addFields
- clearFieldsList
- getFieldsList
- getId
- serializeBinary
- setFieldsList
- setId
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new PaymentAccountForm(): PaymentAccountForm

- Inherited from jspb.Message.constructor

  #### Returns PaymentAccountForm

## Methods

### addFields

- addFields(value?: PaymentAccountFormField, index?: number): PaymentAccountFormField

- - Defined in src/protobuf/pb_pb.d.ts:8236

  #### Parameters

  - ##### Optional value: PaymentAccountFormField

  - ##### Optional index: number

  #### Returns PaymentAccountFormField

### clearFieldsList

- clearFieldsList(): PaymentAccountForm

- - Defined in src/protobuf/pb_pb.d.ts:8235

  #### Returns PaymentAccountForm

### getFieldsList

- getFieldsList(): PaymentAccountFormField []

- - Defined in src/protobuf/pb_pb.d.ts:8233

  #### Returns PaymentAccountFormField []

### getId

- getId(): FormId

- - Defined in src/protobuf/pb_pb.d.ts:8230

  #### Returns FormId

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:8238

  #### Returns Uint8Array

### setFieldsList

- setFieldsList(value: PaymentAccountFormField []): PaymentAccountForm

- - Defined in src/protobuf/pb_pb.d.ts:8234

  #### Parameters

  - ##### value: PaymentAccountFormField []

  #### Returns PaymentAccountForm

### setId

- setId(value: FormId ): PaymentAccountForm

- - Defined in src/protobuf/pb_pb.d.ts:8231

  #### Parameters

  - ##### value: FormId

  #### Returns PaymentAccountForm

### toObject

- toObject(includeInstance?: boolean): PaymentAccountForm . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:8239

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns PaymentAccountForm . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): PaymentAccountForm

- - Defined in src/protobuf/pb_pb.d.ts:8242

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PaymentAccountForm

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PaymentAccountForm, reader: BinaryReader): PaymentAccountForm

- - Defined in src/protobuf/pb_pb.d.ts:8243

  #### Parameters

  - ##### message: PaymentAccountForm

  - ##### reader: BinaryReader

  #### Returns PaymentAccountForm

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: PaymentAccountForm, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:8241

  #### Parameters

  - ##### message: PaymentAccountForm

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: PaymentAccountForm ): PaymentAccountForm . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:8240

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PaymentAccountForm

  #### Returns PaymentAccountForm . AsObject

Generated using TypeDoc